 

if [ "$USER" != "builder" ]; then
	BASELINE=`cleartool lsstream -l | grep -A 5 "recommended baselines:" | grep EMA | sed 's/.*EMA-V/V/' | cut -d'@' -f1 | cut -d'V' -f2`
	RECOMMENDED_FIRST_LINE=`cleartool lsstream -l | grep -n "recommended baselines:" | cut -d':' -f1`
	DIFF_LINES=$(( RECOMMENDED_FIRST_LINE - FOUNDATION_FIRST_LINE))
	BASELINE=`cleartool lsstream -l | grep -A 5 "recommended baselines:" | grep EMA | sed 's/.*EMA-V/V/' | cut -d'@' -f1 | cut -d'V' -f2`
else
	cd ..
	PWD=`pwd`
	BASELINE=`basename $PWD | cut -d'-' -f2 | cut -d'V' -f2`
	cd ema
fi

if [ "$BASELINE" == "" ]; then
	BASELINE=`cleartool lsstream -l | grep -5 $DIFF_LINES "foundation baselines:" | grep _EMA_BL | cut -d'@' -f1 | sed 's/.*EMA-V/V/' |cut -d'V' -f2| head -n 1`
fi

if [ "$USER" != "builder" ]; then
	BASELINE="$BASELINE"_"$USER"_`date +%Y_%m_%d_%H:%M`
fi

echo "RPM_NAME=$BASELINE"

export Filename=Plcm-Ema
#-`echo $BASELINE | cut -d'.' -f1,2 | cut -d'_' -f1 `

rm -rf ~/EmaRpmbuild

mkdir -p ~/EmaRpmbuild/rpmbuild/SOURCES
mkdir -p ~/EmaRpmbuild/rpmbuild/SPECS
mkdir -p ~/EmaRpmbuild/rpmbuild/RPMS
mkdir -p ~/EmaRpmbuild/rpmbuild/SRPMS
mkdir -p ~/EmaRpmbuild/rpmbuild/BUILD
mkdir -p ~/EmaRpmbuild/rpmbuild/BUILDROOT

cp -f $Filename.spec ~/EmaRpmbuild/rpmbuild/SPECS

#Edit Version header in spec file
SED_BASELINE=`echo $BASELINE | sed 's/\./\\./g' | sed 's/:/_/g' `
echo $SED_BASELINE
sed -i -e "s/^Version:.*/Version:\t$SED_BASELINE/" ~/EmaRpmbuild/rpmbuild/SPECS/$Filename.spec

#Edit Release header in spec file
Kernel=`uname -r`
# CentOS 5.8
if [[ "$Kernel" == "2.6.18-308.el5" ]]; then
	RELEASE="1.el5"
# CentOs 6.3
elif [[ "$Kernel" == "2.6.32-279.el6.x86_64" ]]; then
	RELEASE="1.el6"
fi
sed -i -e "s/^Release:.*/Release:\t$RELEASE/" $HOME/EmaRpmbuild/rpmbuild/SPECS/$Filename.spec



if [ "$USER" != "builder" ]; then
	echo $PWD
	tar zcfh ~/EmaRpmbuild/rpmbuild/SOURCES/$Filename.tar.gz EMA.Coordinator EMA.UI EMA.Utils index.html RmxManager.html robots.txt ../Schemas MakeRpm.sh
else
	echo $PWD
	tar zcfh ~/EmaRpmbuild/rpmbuild/SOURCES/$Filename.tar.gz EMA.Coordinator EMA.UI EMA.Utils index.html RmxManager.html robots.txt Schemas MakeRpm.sh
fi

cd $HOME/EmaRpmbuild

rpmbuild --target=i386 -ba --buildroot=$HOME/EmaRpmbuild/rpmbuild/BUILDROOT/ rpmbuild/SPECS/$Filename.spec
